Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class DataFolder.Index

    java.lang.Object
      org.openide.nodes.Index.Support
          org.openide.loaders.DataFolder.Index

All Implemented Interfaces:
  Index, Node.Cookie

Enclosing class:
  DataFolder

    public static class DataFolder.Index

extends Index.Support

Support for index cookie for folder nodes.

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.nodes.Index
`Index.ArrayChildren, Index.KeysChildren, Index.Support`

Constructor Summary
`DataFolder.Index(DataFolder df)` Deprecated. Please explicitly specify a node to be safe.
`DataFolder.Index(DataFolder df, Node node)` Create an index cookie associated with a data folder.

Method Summary
`Node[]` | `getNodes()`
`int` | `getNodesCount()`
`void` | `reorder()`
`void` | `reorder(int[] perm)`

Methods inherited from class org.openide.nodes.Index.Support
`addChangeListener, exchange, fireChangeEvent, indexOf, move, moveDown, moveUp, removeChangeListener, showIndexedCustomizer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFolder.Index

    public DataFolder.Index(DataFolder df)

  Deprecated. Please explicitly specify a node to be safe.

  Create an index cookie associated with a data folder.

  Parameters:
    `df` - the data folder

### DataFolder.Index

    public DataFolder.Index(DataFolder df,
                            Node node)

  Create an index cookie associated with a data folder.

  Parameters:
    `df` - the data folder
    `node` - node to be associated with. subnodes of this node will be returned, etc.

Method Detail

### getNodesCount

    public int getNodesCount()

  Specified by:
    `getNodesCount` in interface `Index`
  Specified by:
    `getNodesCount` in class `Index.Support`

### getNodes

    public Node[] getNodes()

  Specified by:
    `getNodes` in interface `Index`
  Specified by:
    `getNodes` in class `Index.Support`

### reorder

    public void reorder(int[] perm)

  Specified by:
    `reorder` in interface `Index`
  Specified by:
    `reorder` in class `Index.Support`

### reorder

    public void reorder()

  Specified by:
    `reorder` in interface `Index`
  Overrides:
    `reorder` in class `Index.Support`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.